package com.loafle.overflow.central.module.infra.dao;

import com.loafle.overflow.model.infra.InfraService;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

/**
 * Created by insanity on 17. 6. 23.
 */
@Repository
public interface InfraServiceDAO extends JpaRepository<InfraService, Long> {
  @Query("SELECT i from InfraService i where i.infraHostPort.infraHost.id = :infraHostId AND i.infraHostPort.metaPortType.key = :metaPortTypeKey AND i.infraHostPort.port = :port")
  InfraService findByInfraHostPortInfraHostIdAndInfraHostPortMetaPortTypeKeyAndInfraHostPortPort(
      @Param("infraHostId") Long infraHostId, @Param("metaPortTypeKey") String metaPortTypeKey,
      @Param("port") Integer port);
}
